--
-- Created by iRed's keystroker action on 2006-03-24 14:40:45 +0100
--

property targetApp : "iTunes"
property delayTime : "0"
property keystrokeString : "%keyStrokes"
property useKeystrokes : "false"
property keyCodeInt : "124,00"
property bringLastAppToFront : "true"

-- bad to read, but this way we can use strings above and this script still compiles :)
set bringLastAppToFront to bringLastAppToFront as boolean
set useKeystrokes to useKeystrokes as boolean
set keyCodeInt to keyCodeInt as integer
set delayTime to delayTime as number
set modifierKeys to {}

-- if no app is set, don't activate any other app
set dontActivate to (length of targetApp is 0)

try
	if not dontActivate and bringLastAppToFront then
		tell application "System Events"
			set frontAppName to name of application process 1 whose frontmost is true
		end tell
	end if
	
	if not dontActivate then tell application targetApp to activate
	
	delay delayTime
	
	-- fill up modifiers record
	tell application "System Events"
		if ("false" as boolean) then set end of modifierKeys to shift down
		if ("false" as boolean) then set end of modifierKeys to control down
		if ("true" as boolean) then set end of modifierKeys to option down
		if ("false" as boolean) then set end of modifierKeys to command down
	end tell
	
	
	tell application "System Events"
		tell application process targetApp
			--keystroke "Hello World!"
			if useKeystrokes then
				keystroke keystrokeString using modifierKeys
			else
				key code keyCodeInt using modifierKeys
			end if
		end tell
	end tell
	
	if not dontActivate and bringLastAppToFront then
		tell application frontAppName to activate
	end if
	
on error err
	display dialog "There was an error that led to " & err
end try
